# RemoteZynAddSubFx doesn't work without rpath
%global	_cmake_skip_rpath %%{nil}

# Needed to avoid link errors on carlabase plugin
# See upstream issue #4156
%define	_disable_ld_no_undefined 1

# Little hack to avoid test failure on i586
%ifarch %{ix86}
%define	__noautoreq 'libvstbase.*'
%endif

%define	devname %mklibname %{name} -d
%define	candidate rc5

Summary:	Linux MultiMedia Studio
Name:		lmms
Version:	1.2.0
Release:	0.%{candidate}.3
License:	GPLv2+
Group:		Sound
Url:		http://lmms.sourceforge.net/
Source0:	https://github.com/LMMS/%{name}/archive/%{name}-%{version}-%{candidate}.tar.gz
Source1:	lmms-1.2.0_ru.tar.gz
Source100:	%{name}.rpmlintrc
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	qt5-linguist-tools
BuildRequires:	fltk-devel
BuildRequires:	ladspa-devel
# Patents expired in April 2017
BuildRequires:	lame-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	soundio-devel
# Synthesis ToolKit
BuildRequires:	stk-devel >= 4.4.4
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(carla-standalone)
BuildRequires:	pkgconfig(fftw3) >= 3.0.0
BuildRequires:	pkgconfig(fluidsynth) >= 1.0.7
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gig) >= 4.1.0
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(samplerate) >= 0.1.8
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(sndfile) >= 1.0.11
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
%ifarch %{ix86}
# For full VST support (only on 32bit)
BuildRequires:	wine-devel
%endif
Requires:	calf
Requires:	caps
Requires:	carla-vst
Requires:	cmt
Requires:	fltk
Requires:	lame
Requires:	swh-plugins
%rename		lmms-mt

%description
LMMS combines the features of a tracker-sequencer program and those of
powerful synthesizers, samplers, effects etc. in a modern, user-friendly and
easy to use graphical user-interface.

%files
%doc README.md LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
#{_datadir}/pixmaps/%%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-project.svg
%{_sysconfdir}/modules-load.d/%{name}.conf

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	LMMS development files
Group:		Development/Other

%description -n %{devname}
Development headers for LMMS.

%files -n %{devname}
%doc LICENSE.txt
%{_includedir}/%{name}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{candidate}

pushd data/locale
tar -xvzf %{SOURCE1}
popd

# Fix perms
find . -name "*.h" -o -name "*.cpp"| xargs chmod 0644


%build
# Workaround FindFLTK.cmake bug with FLTK 1.3.3
# see: http://osdir.com/ml/general/2015-07/msg33210.html
%cmake \
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
	-DFLTK_FLUID_EXECUTABLE="%{_bindir}/fluid" \
	-DFLTK_INCLUDE_DIR="%{_includedir}/FL" \
	-DWANT_CARLA=ON -DWANT_SOUNDIO=ON \
	-DWANT_QT5=ON -DWANT_WEAKJACK=OFF \
%ifarch x86_64
	-DWANT_VST_NOWINE=ON -DWANT_VST=OFF
%else
	-DWANT_VST_NOWINE=OFF -DWANT_VST=ON
%endif
%make


%install
%makeinstall_std -C build

rm -rf %{buildroot}%{_datadir}/menu/lmms

# Remove unwanted static library
rm -f %{buildroot}%{_libdir}/libqx11embedcontainer.a

# To enable MIDI support at program start
mkdir -p %{buildroot}%{_sysconfdir}/modules-load.d
echo "snd_seq" > %{buildroot}%{_sysconfdir}/modules-load.d/%{name}.conf

%changelog
